<h1>Orders
  <span>details</span>
</h1>
<ng-container *ngIf="transactionResponse?.cancelled">
  <div class="text-danger">This transaction has been cancelled
    at: {{transactionResponse.cancelled | date : 'short' }}</div>
</ng-container>
<br>
<div class="row">
  <label for="staticId" class="col-sm-2 col-form-label">Order ID</label>
  <div class="col-sm-10">
    <input type="text" nbInput fullWidth readonly id="staticId" [value]="transactionResponse?.id">
  </div>
</div>
<div class="row">
  <label for="staticAccount" class="col-sm-2 col-form-label">Account</label>
  <div class="col-sm-10">
    <input type="text" nbInput fullWidth readonly id="staticAccount" [value]="transactionResponse?.account.username">
  </div>
</div>
<div class="row">
  <label for="staticTimestamp" class="col-sm-2 col-form-label">Timestamp</label>
  <div class="col-sm-10">
    <input type="text" nbInput fullWidth readonly id="staticTimestamp"
           [value]="transactionResponse?.timestamp | date : 'short'">
  </div>
</div>
<div class="row">
  <label for="staticPos" class="col-sm-2 col-form-label">Point of Sale</label>
  <div class="col-sm-10">
    <input type="text" nbInput fullWidth readonly id="staticPos"
           [value]="transactionResponse?.pointOfSale.name">
  </div>
</div>
<div class="row">
  <label for="staticTotal" class="col-sm-2 col-form-label">Total</label>
  <div class="col-sm-10">
    <input type="text" nbInput fullWidth readonly id="staticTotal"
           [value]="transactionResponse?.sum | currency">
  </div>
</div>
<div class="row" *ngIf="transactionResponse?.comment">
  <label for="staticComments" class="col-sm-2 col-form-label">Comments</label>
  <div class="col-sm-10">
    <input type="text" nbInput fullWidth readonly id="staticComments" [value]="transactionResponse?.comment">
  </div>
</div>
<br>

<div *ngIf="transactionResponse?.transactionType === 'PurchaseTransaction'">
  <hr>
  <h2 class="py-2">Cart Items</h2>
  <ul class="list-unstyled">
    <li class="media my-3"
        *ngFor="let entry of asPurchaseTransactionResponse(transactionResponse).entries; index as i;">
      <div class="media-body">
        <h5>{{entry.product.name}}</h5>
        Price: <span
        [ngStyle]="{'text-decoration':entry.price !== entry.product.price ? 'line-through':''}">{{entry.product.price|currency}}</span>
        <span *ngIf="entry.product.price !== entry.price">&nbsp;{{entry.price|currency}}</span>
      </div>
    </li>
  </ul>
</div>

<div *ngIf="transactionResponse?.transactionType === 'ChargeTransaction'">
  <hr>
  <h2>Charged Amount: {{transactionResponse?.sum | currency}}</h2>
</div>
